Skip to content

PUT /broadcasts/{id}/audience​

PUT
/broadcasts/{id}/audience

Set the audience of a draft broadcast: a Segment, or null for all active contacts. Does not send.

Authorizations​

BearerAuth
Type
HTTP (Bearer)

Parameters​

Path Parameters

id*

Unique identifier

Required

Request Body​

application/json
JSON
{
  
"segmentId": "string"
}

Responses​

The request has succeeded.

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"subject": "string",
  
"fromName": "string",
  
"fromEmail": "string",
  
"body": "string",
  
"segmentId": "string",
  
"status": "string",
  
"scheduledAt": "string",
  
"sentAt": "string",
  
"createdAt": "string",
  
"updatedAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI